%define pkg_version 2010-12-19
Name:          base64coder
Version:       20101219
Release:       %mkrel 3
Summary:       A fast and compact Base64 encoder/decoder Java library
Group:         Development/Java
License:       ASL, BSD, EPL, LGPL, GPL
Url:           http://www.source-code.biz/base64coder/java/
Source0:       http://repo2.maven.org/maven2/biz/source_code/base64coder/%{pkg_version}/base64coder-%{pkg_version}-distribution.zip
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: sonatype-oss-parent
BuildRequires: bsf
BuildRequires: bsh2
BuildRequires: tomcat5-servlet-2.4-api
Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Base64Coder is a fast and compact Base64 encoder/decoder class.

There is no Base64 encoder/decoder in the standard Java SDK class library.
The undocumented classes sun.misc.BASE64Encoder and sun.misc.BASE64Decoder
should not be used (explanation).

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
A fast and compact Base64 encoder/decoder Java library.

This package contains javadoc for %{name}.

%prep
%setup -q -n base64coder-%{pkg_version}

sed -i 's/\r//g' CHANGES.txt README.txt

%build

export MAVEN_REPO_LOCAL=$PWD/.m2/repository

mkdir -p $MAVEN_REPO_LOCAL
  mvn-jpp \
    install:install-file \
    -DgroupId=bsf \
    -DartifactId=bsf \
    -Dversion=2.3.0 \
    -Dpackaging=jar \
    -Dfile=$(build-classpath bsf) \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL

  mvn-jpp \
    install:install-file \
    -DgroupId=javax.servlet \
    -DartifactId=servlet-api \
    -Dversion=2.4 \
    -Dpackaging=jar \
    -Dfile=$(build-classpath tomcat5-servlet-2.4-api) \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL

  mvn-jpp \
    install:install-file \
    -DgroupId=org.beanshell \
    -DartifactId=bsh \
    -Dversion=2.0b4 \
    -Dpackaging=jar \
    -Dfile=$(build-classpath bsh2/bsh) \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/base64coder-%{pkg_version}.jar \
  %{buildroot}%{_javadir}/base64coder-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap biz.source_code.specs base64coder %{pkg_version} JPP base64coder
%add_to_maven_depmap biz.source_code.specs base64coder %{version} JPP base64coder
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-base64coder.pom

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/base64coder-%{version}
cp -pr target/apidocs/* %{buildroot}%{_javadocdir}/base64coder-%{version}
ln -s base64coder-%{version} %{buildroot}%{_javadocdir}/base64coder

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/base64coder-%{version}.jar
%{_javadir}/base64coder.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGES.txt README.txt

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/base64coder-%{version}
%{_javadocdir}/base64coder



%changelog
* Wed Jul 20 2011 dmorgan <dmorgan> 20101219-3.mga2
+ Revision: 127204
- Revert previous commit

* Wed Jul 20 2011 dmorgan <dmorgan> 20101219-2.mga2
+ Revision: 127197
- Simplify spec file by syning with fedora one

  + gil <gil>
    - imported package base64coder


* Tue Jun 14 2011 gil <gil> 20101219-0.%%mkrel
- initial rpm